import 'package:json_annotation/json_annotation.dart';

part 'image_note_response.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class ImageNoteDTO {
  final String url;
  final String oid;
  final String name;

  ImageNoteDTO({required this.url, required this.oid, required this.name});

  factory ImageNoteDTO.fromJson(Map<String, dynamic> json) =>
      _$ImageNoteDTOFromJson(json);

  Map<dynamic, dynamic> toJson() => _$ImageNoteDTOToJson(this);
}
